'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lfsCommands = require('./lfsCommands');

var _generateResponse = require('../utils/generateResponse');

var _generateResponse2 = _interopRequireDefault(_generateResponse);

var _constants = require('../constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var prune = function prune(repo, args) {
  var response = (0, _generateResponse2.default)();
  var repoPath = repo.workdir();

  return _lfsCommands.core.prune(args, { cwd: repoPath }).then(function (_ref) {
    var stdout = _ref.stdout,
        stderr = _ref.stderr;

    response.raw = stdout;

    if (stderr) {
      response.errno = _constants.BAD_CORE_RESPONSE;
      response.stderr = stderr;
      response.success = false;
      return response;
    }

    return response;
  });
};

exports.default = prune;