'use strict';

var _initialize = require('./initialize');

var _initialize2 = _interopRequireDefault(_initialize);

var _register = require('./register');

var _register2 = _interopRequireDefault(_register);

var _unregister = require('./unregister');

var _unregister2 = _interopRequireDefault(_unregister);

var _lfsCommands = require('./commands/lfsCommands');

var _helpers = require('./helpers');

var _checkout = require('./commands/checkout');

var _checkout2 = _interopRequireDefault(_checkout);

var _push = require('./commands/push');

var _push2 = _interopRequireDefault(_push);

var _track = require('./commands/track');

var _track2 = _interopRequireDefault(_track);

var _untrack = require('./commands/untrack');

var _untrack2 = _interopRequireDefault(_untrack);

var _version = require('./commands/version');

var _version2 = _interopRequireDefault(_version);

var _fetch = require('./commands/fetch');

var _fetch2 = _interopRequireDefault(_fetch);

var _prune = require('./commands/prune');

var _prune2 = _interopRequireDefault(_prune);

var _ls = require('./commands/ls');

var _ls2 = _interopRequireDefault(_ls);

var _pointer = require('./commands/pointer');

var _pointer2 = _interopRequireDefault(_pointer);

var _pull = require('./commands/pull');

var _pull2 = _interopRequireDefault(_pull);

var _clone = require('./commands/clone');

var _clone2 = _interopRequireDefault(_clone);

var _checkDependencies = require('./utils/checkDependencies');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function LFS(nodegit) {
  this.NodeGit = nodegit;
}

LFS.prototype = {
  core: _lfsCommands.core,
  checkout: _checkout2.default,
  clone: _clone2.default,
  dependencyCheck: _checkDependencies.dependencyCheck,
  fetch: _fetch2.default,
  filters: _helpers.loadGitattributeFiltersFromRepo,
  repoHasLfs: _helpers.repoHasLfs,
  initialize: _initialize2.default,
  list: _ls2.default,
  register: _register2.default,
  testPointer: _pointer2.default,
  track: _track2.default,
  prune: _prune2.default,
  pull: _pull2.default,
  push: _push2.default,
  version: _version2.default,
  unregister: _unregister2.default,
  untrack: _untrack2.default
};

module.exports = function (nodegit) {
  var _NodeGit = nodegit; // eslint-disable-line no-underscore-dangle

  Object.getPrototypeOf(_NodeGit).LFS = new LFS(_NodeGit);

  module.exports = _NodeGit;
  return _NodeGit;
};