'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _apply = require('./callbacks/apply');

var _apply2 = _interopRequireDefault(_apply);

var _check = require('./callbacks/check');

var _check2 = _interopRequireDefault(_check);

var _initialize = require('./callbacks/initialize');

var _initialize2 = _interopRequireDefault(_initialize);

var _constants = require('./constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Wrapper to register nodegit LFS filter and append status to LFS in nodegit
 * @return Promise
 */
function register(credentialsCallback) {
  var filter = {
    apply: (0, _apply2.default)(credentialsCallback),
    check: _check2.default,
    initialize: _initialize2.default,
    attributes: 'filter=lfs merge=lfs diff=lfs'
  };

  return this.NodeGit.FilterRegistry.register(_constants.LFS_FILTER_NAME, filter, 0);
}

exports.default = register;